changeset 315:7fe514d773b9

Install setup script even for BUILD_SHORT.
author Rob Landley <rob@landley.net>
date Fri, 04 Apr 2008 09:31:06 -0500
parents a805d37b6c3f
children 713a53bce9a6
files mini-native.sh
diffstat 1 files changed, 6 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/mini-native.sh	Wed Apr 02 18:15:51 2008 -0500
+++ b/mini-native.sh	Fri Apr 04 09:31:06 2008 -0500
@@ -175,16 +175,19 @@
 cleanup distcc
 
 # Put statically and dynamically linked hello world programs on there for
-# test purposes, and a qemu setup script.
+# test purposes.
 
 "${ARCH}-gcc" "${SOURCES}/toys/hello.c" -Os -s -o "${TOOLS}/bin/hello-dynamic"  &&
-"${ARCH}-gcc" "${SOURCES}/toys/hello.c" -Os -s -static -o "${TOOLS}/bin/hello-static" &&
-cp "${SOURCES}/native/setup.sh" "${TOOLS}/bin/qemu-setup.sh"
+"${ARCH}-gcc" "${SOURCES}/toys/hello.c" -Os -s -static -o "${TOOLS}/bin/hello-static"
 
 [ $? -ne 0 ] && dienow
 
 fi
 
+# Setup script.  (Assumes qemu, but should work elsewhere.)
+
+cp "${SOURCES}/native/setup.sh" "${TOOLS}/bin/qemu-setup.sh" || dienow
+
 # Clean up and package the result
 
 "${ARCH}-strip" "${TOOLS}"/{bin/*,sbin/*,libexec/gcc/*/*/*}